Skip to content
Shortcut: /, ⌘K or Ctrl+K

Flows

View as Markdown

The flow draft object

Attributes

  • idstring (uuid)required

    Identifier for this resource.

  • namestringrequiredlength1–120

    Human-readable name for this resource.

  • statusstringrequired

    Current status of this resource or operation.

    Allowed valuesdraftreadyarchived
  • versionstringrequired

    Specifies version for this management flow summary.

  • screenCountintegerrequiredrange0–50

    Number of screens.

  • metaLinksarray of objectrequired

    Meta links associated with this management flow summary.

  • createdAtintegerrequiredmin0formatint64

    Unix timestamp in milliseconds when this resource was created.

  • updatedAtintegerrequiredmin0formatint64

    Unix timestamp in milliseconds when this resource was last updated.

  • definitionobjectrequired

    Structured definition for this resource.

The flow draft object
{
  "id": "00000000-0000-4000-8000-000000000000",
  "name": "string",
  "status": "draft",
  "version": "string",
  "screenCount": 0,
  "metaLinks": [
    {}
  ],
  "createdAt": 0,
  "updatedAt": 0,
  "definition": {}
}

Create flow draft

POST/platform/flowsPlatform API
Base URL
https://api.polymorfa.com
Required permission
sessions:manage

Creates a project-scoped WhatsApp Flow draft. A supplied draftId makes retries idempotent.

Requires sessions:manage. Project tokens only access resources in their own project.

Body

  • projectIdstring (uuid)required

    Identifier of the Polymorfa project that owns this resource.

  • draftIdstring (uuid)

    Identifier of the saved draft.

  • namestringrequiredlength1–120

    Human-readable name for this resource.

  • definitionobjectrequired

    Structured definition for this resource.

Responses

  • 200Success
    • dataobjectrequired

      Structured data carried by this object.

      Show 9 child fields
    Show 3 headers
  • 400A path, query, or request-body value did not pass validation.
  • 401Missing/invalid credential for this audience.
  • 403Authenticated but lacks the required scope/role/audience.
  • 404The requested resource was not found inside the authenticated team or project scope.
POST /platform/flowscURL
Not available with the Test key. Use a team key or project token.
curl -X POST "https://api.polymorfa.com/platform/flows" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Polymorfa-Version: 2026-09-22" \
  -H "Content-Type: application/json" \
  -d '{
  "projectId": "00000000-0000-4000-8000-000000000000",
  "name": "string",
  "definition": {}
}'
Response
{
  "data": {
    "id": "00000000-0000-4000-8000-000000000000",
    "name": "string",
    "status": "draft",
    "version": "string",
    "screenCount": 0,
    "metaLinks": [
      {}
    ],
    "createdAt": 0,
    "updatedAt": 0,
    "definition": {}
  }
}

List flow drafts

GET/platform/flowsPlatform API
Base URL
https://api.polymorfa.com
Required permission
sessions:read

Lists compact WhatsApp Flow draft summaries in one project.

Requires sessions:read. Project tokens only access resources in their own project.

Query parameters

  • projectIdstringrequired

    Identifier of the Polymorfa project that owns this resource.

Responses

  • 200Success
    • dataarray of objectrequiredmax items250

      Structured data carried by this object.

      Show 8 child fields
    Show 3 headers
  • 400A path, query, or request-body value did not pass validation.
  • 401Missing/invalid credential for this audience.
  • 403Authenticated but lacks the required scope/role/audience.
  • 404The requested resource was not found inside the authenticated team or project scope.
GET /platform/flowscURL
Not available with the Test key. Use a team key or project token.
curl "https://api.polymorfa.com/platform/flows?projectId=<projectId>" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Polymorfa-Version: 2026-09-22"
Response
{
  "data": [
    {
      "id": "00000000-0000-4000-8000-000000000000",
      "name": "string",
      "status": "draft",
      "version": "string",
      "screenCount": 0,
      "metaLinks": [
        {}
      ],
      "createdAt": 0,
      "updatedAt": 0
    }
  ]
}

Get flow

GET/platform/flows/{flowId}Platform API
Base URL
https://api.polymorfa.com
Required permission
sessions:read

Gets one project-scoped WhatsApp Flow draft.

Requires sessions:read. Project tokens only access resources in their own project.

Path parameters

  • flowIdstringrequired

    Identifier for the flow.

Query parameters

  • projectIdstringrequired

    Identifier of the Polymorfa project that owns this resource.

Responses

  • 200Success
    • dataobjectrequirednullable

      Structured data carried by this object.

      Show 9 child fields
    Show 3 headers
  • 400A path, query, or request-body value did not pass validation.
  • 401Missing/invalid credential for this audience.
  • 403Authenticated but lacks the required scope/role/audience.
  • 404The requested resource was not found inside the authenticated team or project scope.
GET /platform/flows/{flowId}cURL
Not available with the Test key. Use a team key or project token.
curl "https://api.polymorfa.com/platform/flows/<flowId>?projectId=<projectId>" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Polymorfa-Version: 2026-09-22"
Response
{
  "data": {
    "id": "00000000-0000-4000-8000-000000000000",
    "name": "string",
    "status": "draft",
    "version": "string",
    "screenCount": 0,
    "metaLinks": [
      {}
    ],
    "createdAt": 0,
    "updatedAt": 0,
    "definition": {}
  }
}

Update flow

PATCH/platform/flows/{flowId}Platform API
Base URL
https://api.polymorfa.com
Required permission
sessions:manage

Updates a Flow draft when expectedUpdatedAt matches the stored revision.

Requires sessions:manage. Project tokens only access resources in their own project.

Path parameters

  • flowIdstringrequired

    Identifier for the flow.

Body

  • projectIdstring (uuid)required

    Identifier of the Polymorfa project that owns this resource.

  • expectedUpdatedAtintegerrequiredmin0formatint64

    Unix timestamp in milliseconds that must match the resource's current updatedAt value.

  • namestringlength1–120

    Human-readable name for this resource.

  • statusstring

    Status value to assign to this resource.

    Allowed valuesdraftreadyarchived
  • definitionobject

    Structured definition for this resource.

Responses

  • 200Success
    • dataobjectrequired

      Structured data carried by this object.

      Show 9 child fields
    Show 3 headers
  • 400A path, query, or request-body value did not pass validation.
  • 401Missing/invalid credential for this audience.
  • 403Authenticated but lacks the required scope/role/audience.
  • 404The requested resource was not found inside the authenticated team or project scope.
  • 409The request conflicts with the resource's current state.
PATCH /platform/flows/{flowId}cURL
Not available with the Test key. Use a team key or project token.
curl -X PATCH "https://api.polymorfa.com/platform/flows/<flowId>" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Polymorfa-Version: 2026-09-22" \
  -H "Content-Type: application/json" \
  -d '{
  "projectId": "00000000-0000-4000-8000-000000000000",
  "expectedUpdatedAt": 0
}'
Response
{
  "data": {
    "id": "00000000-0000-4000-8000-000000000000",
    "name": "string",
    "status": "draft",
    "version": "string",
    "screenCount": 0,
    "metaLinks": [
      {}
    ],
    "createdAt": 0,
    "updatedAt": 0,
    "definition": {}
  }
}

Delete flow

DELETE/platform/flows/{flowId}Platform API
Base URL
https://api.polymorfa.com
Required permission
sessions:manage

Deletes a local Flow draft without deleting linked Meta Flow assets.

Requires sessions:manage. Project tokens only access resources in their own project.

Path parameters

  • flowIdstringrequired

    Identifier for the flow.

Query parameters

  • projectIdstringrequired

    Identifier of the Polymorfa project that owns this resource.

Responses

  • 200Success
    • dataobjectrequired

      Structured data carried by this object.

      Show 1 child field
    Show 3 headers
  • 400A path, query, or request-body value did not pass validation.
  • 401Missing/invalid credential for this audience.
  • 403Authenticated but lacks the required scope/role/audience.
  • 404The requested resource was not found inside the authenticated team or project scope.
DELETE /platform/flows/{flowId}cURL
Not available with the Test key. Use a team key or project token.
curl -X DELETE "https://api.polymorfa.com/platform/flows/<flowId>?projectId=<projectId>" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Polymorfa-Version: 2026-09-22"
Response
{
  "data": {
    "ok": true
  }
}